## tinyarray 2.2.6

=== DESCRIPTION ===
Package: tinyarray
Type: Package
Title: Expression Data Analysis and Visualization
Version: 2.2.6
Authors@R: person("Xiaojie","Sun",email = "18763899370@163.com",role = c("aut","cre"))
Maintainer: Xiaojie Sun <18763899370@163.com>
Description: Gene Expression Omnibus(GEO) and The Cancer Genome Atlas(TCGA) are common bioinformatics public databases. We integrate the regular analysis and charts for expression data, to analyze and display the data concisely and intuitively.
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
Imports: BiocManager, clusterProfiler, dplyr, limma, org.Hs.eg.db,
        stringr, tibble, pheatmap, ggplot2, survival, survminer,
        patchwork
Suggests: testthat, AnnoProbe, GEOquery, Biobase, VennDiagram,
        FactoMineR, factoextra, knitr, rmarkdown, cowplot, ggpubr,
        ggplotify, tidyr, labeling, Rtsne, scatterplot3d
URL: https://github.com/xjsun1221/tinyarray
BugReports: https://github.com/xjsun1221/tinyarray/issues
Depends: R (>= 3.5.0)
RoxygenNote: 7.1.1
NeedsCompilation: no
Packaged: 2021-09-13 09:49:28 UTC; biotrainee
Author: Xiaojie Sun [aut, cre]
Repository: CRAN
Date/Publication: 2021-09-14 06:40:02 UTC

## tinyarray 1.2.3

=== debian/changelog ===
tinyarray (1.2.3-2) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Andreas Tille ]
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
    update)
  * Add salsa-ci file (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 28 Sep 2020 09:42:43 +0200

tinyarray (1.2.3-1) unstable; urgency=medium

  * Initial release. (Closes: #886628)

 -- Christoph Groth <christoph@grothesque.org>  Wed, 16 Sep 2020 16:44:32 +0200

=== debian/control ===
Source: tinyarray
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Christoph Groth <christoph@grothesque.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: dh-python,
               debhelper-compat (= 13),
               python3-all-dev,
               python3-setuptools,
               python3-numpy,
               python3-pytest
Standards-Version: 4.5.0
Homepage: http://kwant-project.org/tinyarray/
Vcs-Git: https://salsa.debian.org/python-team/packages/python-tinyarray.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-tinyarray
Rules-Requires-Root: no


Package: python3-tinyarray
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Arrays of numbers, optimized for small sizes
 Tinyarray is a numerical array module for Python.  The multi-dimensional
 arrays it provides are best thought of as (possibly nested) tuples of numbers
 that, unlike Python's built-in tuples, support mathematical operations.  Like
 tuples, tinyarrays are hashable and immutable and thus can be used as
 dictionary keys.  The module's interface is a subset of that of NumPy and
 hence should be familiar to many Python programmers.  Tinyarray has been
 heavily optimized for small arrays: For example, common operations on 1-d
 arrays of length 3 run 3-7 times faster than with NumPy.  When storing many
 small arrays, memory consumption is reduced by a factor of 3.  In summary,
 Tinyarray is a more efficient alternative to NumPy when many separate small
 numerical arrays are to be used.

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE = 1
export PYBUILD_NAME = tinyarray

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test -- --test-pytest --test-args=../../../test_tinyarray.py
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .pytest_cache
	rm -f src/version.hh
	rm -f tinyarray.egg-info/SOURCES.txt

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/tinyarray/tinyarray-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## tinyarray 1.2.4

=== debian/changelog ===
tinyarray (1.2.4-1build2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 15:08:32 +0000

tinyarray (1.2.4-1build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 19:44:29 +0000

tinyarray (1.2.4-1) unstable; urgency=medium

  * Team upload.
  * debian/watch: Allow unsigned upstream release.
  * New upstream version.
  * debian/patches: Dropped, merged upstream.

 -- Boyuan Yang <byang@debian.org>  Thu, 16 Jan 2025 15:21:13 -0500

tinyarray (1.2.3-4) unstable; urgency=medium

  [ Stefano Rivera ]
  * Team upload.
  * Rename Vcs repository to match source package.
  * Patch: Python 3.10 support (the API for hashing doubles changed).
  * Bump Standards-Version to 4.6.0, no changes needed.
  * Bump watch file version to 4.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 22 Nov 2021 16:35:03 -0400

tinyarray (1.2.3-3) unstable; urgency=medium

  * Re-export upstream signing key without extra signatures.

 -- Debian Janitor <janitor@jelmer.uk>  Sat, 21 Aug 2021 13:46:18 +0100

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
                python3-setuptools,
                python3-numpy,
                python3-pytest
-Standards-Version: 4.5.0
-Homepage: http://kwant-project.org/tinyarray/
-Vcs-Git: https://salsa.debian.org/python-team/packages/python-tinyarray.git
-Vcs-Browser: https://salsa.debian.org/python-team/packages/python-tinyarray
+Standards-Version: 4.6.0
+Homepage: https://kwant-project.org/tinyarray/
+Vcs-Git: https://salsa.debian.org/python-team/packages/tinyarray.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/tinyarray
 Rules-Requires-Root: no

=== debian/watch ===
version=4
opts="uversionmangle=s/(rc|a|b|c)/~$1/,pgpmode=auto" \
https://pypi.debian.net/tinyarray/tinyarray-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## tinyarray 1.2.5

=== debian/changelog ===
tinyarray (1.2.5-1) unstable; urgency=medium

  * Team upload.
  * debian/control: Bump Standards-Version to 4.7.2.
  * debian/control: Update homepage information.

 -- Boyuan Yang <byang@debian.org>  Tue, 23 Dec 2025 14:58:00 -0500

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
                python3-setuptools,
                python3-numpy,
                python3-pytest
-Standards-Version: 4.6.0
-Homepage: https://kwant-project.org/tinyarray/
+Standards-Version: 4.7.2
+Homepage: https://gitlab.kwant-project.org/kwant/tinyarray
 Vcs-Git: https://salsa.debian.org/python-team/packages/tinyarray.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/tinyarray
 Rules-Requires-Root: no

## tinyarray 2.2.7

=== DESCRIPTION ===
Package: tinyarray
Type: Package
Title: Expression Data Analysis and Visualization
Version: 2.2.7
Authors@R: person("Xiaojie","Sun",email = "18763899370@163.com",role = c("aut","cre"))
Maintainer: Xiaojie Sun <18763899370@163.com>
Description: Gene Expression Omnibus(GEO) and The Cancer Genome Atlas(TCGA) are common bioinformatics public databases. We integrate the regular analysis and charts for expression data, to analyze and display the data concisely and intuitively.
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
Imports: BiocManager, clusterProfiler, dplyr, limma, org.Hs.eg.db,
        stringr, tibble, pheatmap, ggplot2, survival, survminer,
        patchwork
Suggests: testthat, AnnoProbe, GEOquery, Biobase, VennDiagram,
        FactoMineR, factoextra, knitr, rmarkdown, cowplot, ggpubr,
        ggplotify, tidyr, labeling, Rtsne, scatterplot3d,
        ComplexHeatmap, circlize
URL: https://github.com/xjsun1221/tinyarray
BugReports: https://github.com/xjsun1221/tinyarray/issues
Depends: R (>= 3.5.0)
RoxygenNote: 7.1.2
NeedsCompilation: no
Packaged: 2021-11-08 09:26:42 UTC; biotrainee
Author: Xiaojie Sun [aut, cre]
Repository: CRAN
Date/Publication: 2021-11-08 10:00:02 UTC

## tinyarray 2.2.9

=== DESCRIPTION ===
Package: tinyarray
Type: Package
Title: Expression Data Analysis and Visualization
Version: 2.2.9
Authors@R: person("Xiaojie","Sun",email = "18763899370@163.com",role = c("aut","cre"))
Maintainer: Xiaojie Sun <18763899370@163.com>
Description: Gene Expression Omnibus(GEO) and The Cancer Genome Atlas(TCGA) are common bioinformatics public databases. We integrate the regular analysis and charts for expression data, to analyze and display the data concisely and intuitively.
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
Imports: BiocManager, clusterProfiler, dplyr, limma, org.Hs.eg.db,
        stringr, tibble, pheatmap, ggplot2, survival, survminer,
        patchwork, magrittr
Suggests: testthat, AnnoProbe, GEOquery, Biobase, VennDiagram,
        FactoMineR, factoextra, knitr, rmarkdown, cowplot, ggpubr,
        ggplotify, tidyr, labeling, Rtsne, scatterplot3d,
        ComplexHeatmap, circlize
URL: https://github.com/xjsun1221/tinyarray
BugReports: https://github.com/xjsun1221/tinyarray/issues
Depends: R (>= 3.5.0)
RoxygenNote: 7.2.3
NeedsCompilation: no
Packaged: 2023-03-04 06:38:22 UTC; xiaojie
Author: Xiaojie Sun [aut, cre]
Repository: CRAN
Date/Publication: 2023-03-04 07:40:02 UTC

## tinyarray 2.3.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: tinyarray
 Type: Package
 Title: Expression Data Analysis and Visualization
-Version: 2.2.9
+Version: 2.3.0
 Authors@R: person("Xiaojie","Sun",email = "18763899370@163.com",role = c("aut","cre"))
 Maintainer: Xiaojie Sun <18763899370@163.com>
 Description: Gene Expression Omnibus(GEO) and The Cancer Genome Atlas(TCGA) are common bioinformatics public databases. We integrate the regular analysis and charts for expression data, to analyze and display the data concisely and intuitively.
@@ -20,7 +20,7 @@
 Depends: R (>= 3.5.0)
 RoxygenNote: 7.2.3
 NeedsCompilation: no
-Packaged: 2023-03-04 06:38:22 UTC; xiaojie
+Packaged: 2023-04-21 09:13:36 UTC; xiaojie
 Author: Xiaojie Sun [aut, cre]
 Repository: CRAN
-Date/Publication: 2023-03-04 07:40:02 UTC
+Date/Publication: 2023-04-24 12:40:02 UTC

## tinyarray 2.3.1

=== DESCRIPTION ===
Package: tinyarray
Type: Package
Title: Expression Data Analysis and Visualization
Version: 2.3.1
Authors@R: person("Xiaojie","Sun",email = "18763899370@163.com",role = c("aut","cre"))
Maintainer: Xiaojie Sun <18763899370@163.com>
Description: Gene Expression Omnibus(GEO) and The Cancer Genome Atlas(TCGA) are common bioinformatics public databases. We integrate the regular analysis and charts for expression data, to analyze and display the data concisely and intuitively.
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
Imports: BiocManager, clusterProfiler, dplyr, limma, stringr, tibble,
        pheatmap, ggplot2, survival, survminer, patchwork
Suggests: testthat, AnnoProbe, GEOquery, Biobase, VennDiagram,
        FactoMineR, factoextra, knitr, rmarkdown, cowplot, ggpubr,
        ggplotify, tidyr, labeling, Rtsne, scatterplot3d,
        ComplexHeatmap, circlize,org.Hs.eg.db,org.Rn.eg.db,org.Mm.eg.db
URL: https://github.com/xjsun1221/tinyarray
BugReports: https://github.com/xjsun1221/tinyarray/issues
Depends: R (>= 3.5.0)
RoxygenNote: 7.2.3
NeedsCompilation: no
Packaged: 2023-08-18 07:52:16 UTC; xiaojie
Author: Xiaojie Sun [aut, cre]
Repository: CRAN
Date/Publication: 2023-08-18 08:20:02 UTC

## tinyarray 2.3.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: tinyarray
 Type: Package
 Title: Expression Data Analysis and Visualization
-Version: 2.3.1
+Version: 2.3.2
 Authors@R: person("Xiaojie","Sun",email = "18763899370@163.com",role = c("aut","cre"))
 Maintainer: Xiaojie Sun <18763899370@163.com>
 Description: Gene Expression Omnibus(GEO) and The Cancer Genome Atlas(TCGA) are common bioinformatics public databases. We integrate the regular analysis and charts for expression data, to analyze and display the data concisely and intuitively.
@@ -19,7 +19,7 @@
 Depends: R (>= 3.5.0)
 RoxygenNote: 7.2.3
 NeedsCompilation: no
-Packaged: 2023-08-18 07:52:16 UTC; xiaojie
+Packaged: 2024-01-22 08:29:03 UTC; xiaojie
 Author: Xiaojie Sun [aut, cre]
 Repository: CRAN
-Date/Publication: 2023-08-18 08:20:02 UTC
+Date/Publication: 2024-01-22 09:00:02 UTC

## tinyarray 2.3.3

=== DESCRIPTION ===
Package: tinyarray
Type: Package
Title: Expression Data Analysis and Visualization
Version: 2.3.3
Authors@R: person("Xiaojie","Sun",email = "18763899370@163.com",role = c("aut","cre"))
Maintainer: Xiaojie Sun <18763899370@163.com>
Description: Gene Expression Omnibus(GEO) and The Cancer Genome Atlas(TCGA) are common bioinformatics public databases. We integrate the regular analysis and charts for expression data, to analyze and display the data concisely and intuitively.
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
Imports: BiocManager, clusterProfiler, dplyr, limma, stringr, tibble,
        pheatmap, ggplot2, survival, survminer, patchwork
Suggests: testthat, AnnoProbe, GEOquery, Biobase, VennDiagram,
        FactoMineR, factoextra, knitr, rmarkdown, cowplot, ggpubr,
        ggplotify, tidyr, labeling, Rtsne, scatterplot3d,Hmisc,
        ComplexHeatmap, circlize,org.Hs.eg.db,org.Rn.eg.db,org.Mm.eg.db
URL: https://github.com/xjsun1221/tinyarray
BugReports: https://github.com/xjsun1221/tinyarray/issues
Depends: R (>= 4.1.0)
RoxygenNote: 7.3.1
NeedsCompilation: no
Packaged: 2024-04-09 03:15:39 UTC; xiaojie
Author: Xiaojie Sun [aut, cre]
Repository: CRAN
Date/Publication: 2024-04-09 03:30:02 UTC

## tinyarray 2.4.1

=== DESCRIPTION ===
Package: tinyarray
Type: Package
Title: Expression Data Analysis and Visualization
Version: 2.4.1
Authors@R: person("Xiaojie","Sun",email = "18763899370@163.com",role = c("aut","cre"))
Maintainer: Xiaojie Sun <18763899370@163.com>
Description: The Gene Expression Omnibus (<https://www.ncbi.nlm.nih.gov/geo/>) and The Cancer Genome Atlas (<https://portal.gdc.cancer.gov/>) are widely used medical public databases. Our platform integrates routine analysis and visualization tools for expression data to provide concise and intuitive data analysis and presentation.
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
Imports: BiocManager, clusterProfiler, dplyr, limma, stringr, tibble,
        pheatmap, ggplot2, survival, Hmisc, survminer, patchwork
Suggests: testthat, AnnoProbe, GEOquery, Biobase, VennDiagram,
        FactoMineR, factoextra, knitr, rmarkdown, cowplot, ggpubr,
        ggplotify, tidyr, labeling, Rtsne, scatterplot3d,
        ComplexHeatmap, circlize,org.Rn.eg.db,org.Mm.eg.db,org.Hs.eg.db
URL: https://github.com/xjsun1221/tinyarray
BugReports: https://github.com/xjsun1221/tinyarray/issues
Depends: R (>= 4.1.0)
RoxygenNote: 7.3.1
NeedsCompilation: no
Packaged: 2024-06-03 07:46:02 UTC; xiaojie
Author: Xiaojie Sun [aut, cre]
Repository: CRAN
Date/Publication: 2024-06-04 09:45:15 UTC

## tinyarray 2.4.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: tinyarray
 Type: Package
 Title: Expression Data Analysis and Visualization
-Version: 2.4.1
-Authors@R: person("Xiaojie","Sun",email = "18763899370@163.com",role = c("aut","cre"))
+Version: 2.4.2
+Authors@R: person("Xiaojie", "Sun", email = "18763899370@163.com", role = c("aut", "cre"))
 Maintainer: Xiaojie Sun <18763899370@163.com>
 Description: The Gene Expression Omnibus (<https://www.ncbi.nlm.nih.gov/geo/>) and The Cancer Genome Atlas (<https://portal.gdc.cancer.gov/>) are widely used medical public databases. Our platform integrates routine analysis and visualization tools for expression data to provide concise and intuitive data analysis and presentation.
 License: MIT + file LICENSE
@@ -19,7 +19,7 @@
 Depends: R (>= 4.1.0)
 RoxygenNote: 7.3.1
 NeedsCompilation: no
-Packaged: 2024-06-03 07:46:02 UTC; xiaojie
+Packaged: 2024-06-13 10:50:46 UTC; xiaojie
 Author: Xiaojie Sun [aut, cre]
 Repository: CRAN
-Date/Publication: 2024-06-04 09:45:15 UTC
+Date/Publication: 2024-06-13 14:20:02 UTC

## tinyarray 2.4.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: tinyarray
 Type: Package
 Title: Expression Data Analysis and Visualization
-Version: 2.4.2
+Version: 2.4.3
 Authors@R: person("Xiaojie", "Sun", email = "18763899370@163.com", role = c("aut", "cre"))
 Maintainer: Xiaojie Sun <18763899370@163.com>
 Description: The Gene Expression Omnibus (<https://www.ncbi.nlm.nih.gov/geo/>) and The Cancer Genome Atlas (<https://portal.gdc.cancer.gov/>) are widely used medical public databases. Our platform integrates routine analysis and visualization tools for expression data to provide concise and intuitive data analysis and presentation.
@@ -17,9 +17,9 @@
 URL: https://github.com/xjsun1221/tinyarray
 BugReports: https://github.com/xjsun1221/tinyarray/issues
 Depends: R (>= 4.1.0)
-RoxygenNote: 7.3.1
+RoxygenNote: 7.3.2
 NeedsCompilation: no
-Packaged: 2024-06-13 10:50:46 UTC; xiaojie
+Packaged: 2025-03-05 09:01:31 UTC; xiaojie
 Author: Xiaojie Sun [aut, cre]
 Repository: CRAN
-Date/Publication: 2024-06-13 14:20:02 UTC
+Date/Publication: 2025-03-05 13:20:02 UTC
